%global rversion v18_1
%global momorel 2

Summary: Free, cross platform, open-source, audio I/O library
Name: portaudio
Version: 18.1
Release: %{momorel}m
# This software's license is essentially MIT/X (BSD?), see author's comment : http://techweb.rfa.org/pipermail/portaudio/2004-November/003942.html
License: see "LICENSE.txt"
Group: System Environment/Libraries
URL: http://www.portaudio.com/
%NoSource 0 http://www.portaudio.com/archives/portaudio_%{rversion}.zip ce66a732d263fde2b5ad2262ef37a691
Patch0: portaudio_v18_1.fromooo.patch
Patch1: portaudio-v18-lib64.patch
BuildPreReq: nkf
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PortAudio is a free, cross platform, open-source, audio I/O library.  It lets you write simple audio programs in 'C' that will compile and run on many platforms including Windows, Macintosh (8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to promote the exchange of audio synthesis software between developers on different platforms, and was recently selected as the audio component of a larger PortMusic project that includes MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing sound using a simple callback function.  Example programs are included that synthesize sine waves and pink noise, perform fuzz distortion on a guitar, list available audio devices, etc. 

%prep
%setup -n %{name}_%{rversion} 
%patch -p1

%if %{_lib} == "lib64"
%patch1 -p1 -b .lib64~
%endif


# CR code and chmod
for i in configure config.guess config.sub
do
  mv -f $i $i.nkf
  nkf -Lu $i.nkf > $i
  chmod 755 $i
done

%build
./configure --libdir=%{_libdir} --includedir=%{_includedir}

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
make PREFIX=%{buildroot}%{_prefix} install

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc LICENSE.txt README.txt docs
%{_libdir}/libportaudio.so.*
%{_libdir}/libportaudio.so
%{_libdir}/libportaudio.a
%{_includedir}/*.h

%changelog
* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (18.1-2m)
- enable lib64
-- Patch1: portaudio-v18-lib64.patch

* Mon Dec 19 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (18.1-1m)
- import to Momonga (to build OOo2 with "--with-system-portaudio")
